// This is part of Total Recorder Developer Edition (DE).
// Copyright (C) 1998-2012 High Criteria Inc.
// All rights reserved.
//
// RecPlaySave sample application.
//
// This sample loads the Total Recorder object,
// saves Total Recorder's settings,
// records 10 sec. from sound board with phone quality,
// plays the recorded sound, saves it to a file,
// restores settings, and releases the Total Recorder object.
//
// RecPlaySave.h - common definitions.

#ifndef RecPlaySave_h_already_included
#define RecPlaySave_h_already_included

#define SIZEOF_ARRAY(ar)  (sizeof(ar)/sizeof((ar)[0]))
#define SafeRelease(/* IUnknown* */ pi) { if (pi) (pi)->Release(); pi = NULL;}

// Function prototypes

void ProcessEvent();

#endif // RecPlaySave_h_already_included
